summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIvo Hinkelmann <ihi@openoffice.org>2007-10-15 14:50:56 +0000
committerIvo Hinkelmann <ihi@openoffice.org>2007-10-15 14:50:56 +0000
commit40f0b757308e027023729fdde6b138c7762dba7e (patch)
tree7483c6557b31731ab465d9c9af60511242f4fa6d
parentd74bc5d9844c36c8cfb3407a31a2f2bd88b5d8ac (diff)
INTEGRATION: CWS dmake411 (1.1.2); FILE ADDED
2007/10/11 20:57:13 vq 1.1.2.3: #i50092# Work around Solaris and nfs timing issues. Patch from hjs@openoffice.org. 2007/08/31 05:24:13 vq 1.1.2.2: #i64572# Issue a warning for virtual targets with corresponding files. Update testcases. 2007/07/28 02:03:02 vq 1.1.2.1: #i78837# Add testcase.
-rwxr-xr-xdmake/tests/targets-2155
1 files changed, 55 insertions, 0 deletions
diff --git a/dmake/tests/targets-21 b/dmake/tests/targets-21
new file mode 100755
index 000000000000..2aff2285ab69
--- /dev/null
+++ b/dmake/tests/targets-21
@@ -0,0 +1,55 @@
+#!/bin/sh
+
+# 12.07.2007 Volker Quetschke
+# Another %-target testcase.
+# (issue 78837)
+
+: ${DMAKEPROG:=dmake}
+file1="mfile1.mk"
+file2="aaa.aaa"
+tmpfiles="$file1 $file2"
+
+trap '{ echo "trapped signal - removing temporary files" ; rm -rf $tmpfiles ; }' 1 2 3 15
+
+# Remove files from prior failed run
+rm -rf $tmpfiles
+
+# Create test environment
+touch aaa.aaa
+
+# Remember to quote variables in generated makefiles( $ -> \$ ).
+cat > $file1 <<EOT
+SHELL*:=/bin/sh
+SHELLFLAGS*:=-ce
+
+%.aaa : %.bbb
+ @sleep 1
+ @touch \$@
+
+%.bbb :
+ @echo building \$@
+
+
+all : aaa.aaa
+ @noop Done
+
+EOT
+
+output1=`eval ${DMAKEPROG} -rf $file1 2>&1 `
+result1=$?
+
+if test "$output1" != "building aaa.bbb"; then
+ echo "Wrong result: $output1"
+ result1=1
+else
+ echo "OK"
+fi
+
+if test $result1 -eq 0 ; then
+ echo "Success - Cleaning up"
+ rm -rf $tmpfiles
+ exit
+else
+ echo "Failure!"
+ exit 1
+fi